<nav class="navbar navbar-expand-sm bg-light navbar-dark">
  <ul class="navbar-nav">
    <li class="nav-item">
      <button class="btn btn-outline-info btn-sm" (click)="onGetAllProducts()">All</button>
    </li>
    <li>
      <button class="btn btn-outline-info ml-2 btn-sm" (click)="onGetSelectedProduct()">Selected</button>
    </li>
    <li>
      <button class="btn btn-outline-info ml-2 btn-sm" (click)="onNewProduct()">New Product</button>
    </li>
  </ul>
  <ul class="navbar-nav ml-auto">
    <li>
      <form #f="ngForm" (ngSubmit)="onSearch(f.value)" class="form-inline">
        <input type="text" ngModel name="keyword">
        <button type="submit" class="btn-outline-info btn-sm">
          <i class="fa fa-search"></i>
          Search
        </button>
      </form>
    </li>
  </ul>
</nav>
